lunes, 16 de marzo de 2015

GNUstep: compilando desde cero en Fedora 21

Una vez más queremos compilar desde cero GNUstep ahora en Fedora 21
siguiendo los lineamientos del wiki de GNUstep.

Para ejecutar el script con la configuración default de core/make utilizamos el path:
$ . /usr/local/share/GNUstep/Makefiles/GNUstep.sh

instalamos libffi para compilar base
$sudo dnf install libffi-devel

$sudo dnf install libxml2-devel
$ sudo dnf install libxslt-devel gnutls-devel

intentando generar los makefile de core/base con
$ ./configure

ahora obtenemos un error:

You do not appear to have usable ICU headers/libraries.
Building without them will disable major functionality.
If you really want to build gnustep-base without ICU,
add --disable-icu to the configure arguments.
configure: error: Missing support for International Components for Unicode (ICU).

---Parece que todo el mundo depende de ICU--

$sudo dnf install libicu-devel

parece que todas estas dependencias de desarrollo instaladas generan un configure/makefiles
completos o suficientes para compilar el código de base. Ahora ejecutamos
$make

domingo, 15 de marzo de 2015

Gnome-Software en Fedora 21

Fedora 21 es mi escritorio ahora. GNOME 3.14 es mas sexy que Unity, la interfaz es simple y funcional.

Instalando Programas

Fedora supone un cambio en el manejo de instalación de paquetes yum ha sido la herramienta desde la terminal de comandos; en general es fácil de usar y puedes acostumbrarte rápidamente a usarlo como apt-get de debian/ubuntu. Yum a su vez será reemplazado con DNF y prácticamente los comandos son los mismos.

Gnome-Software

gnome-software es el programa para instalar desde una interfaz gráfica, es sencillo con una presentación bastante limpia. Sin embargo un día dejó de presentar los programas mostrando solamente las opciones vacías. Intentando revisar en fuentes de software simplemente salía un mensaje con la leyenda fuentes no encontradas o vacías...

Es increíblemente difícil reparar este comportamiento desde el mismo programa más bien imposible. Esto supongo que es debido a las preferencias de gnome porque el usuario final no tenga que lidiar jamás con las configuraciones. En fin la cuestión es que falló y se arreglo con estos pasos :
que en resumen es ejecutar desde la terminal de comandos: 

  • sudo rm /var/lib/PackageKit/*.db 
  • sudo systemctl restart packagekit.service 
  • sudo pkcon repair

miércoles, 6 de noviembre de 2013

Datos personales